Diff.Depth Stream
Subscribe
{
"method": "SUBSCRIPTION",
"params": [
"spot@public.aggre.depth.v3.api.pb@100ms@BTCUSDT"
]
}
If the order quantity (quantity) for a price level is 0, it indicates that the order at that price has been canceled or executed, and that price level should be removed.
Request Parameters spot@public.aggre.depth.v3.api.pb@(100ms|10ms)@<symbol>
Response Parameters
| Parameter | Data Type | Description |
|---|---|---|
| price | string | Price level of change |
| quantity | string | Quantity |
| eventtype | string | Event type |
| fromversion | string | Start version |
| toversion | string | End version |
| symbol | string | Trading pair |
| sendtime | long | Event time |
| lastOrderCreateTime | long | Last order creation time |
Sample data
{
"channel" : "spot@public.aggre.depth.v3.api.pb@100ms@BTCUSDT",
"symbol" : "BTCUSDT",
"sendTime" : "1778075380657",
"publicAggreDepths" : {
"asks" : [ ],
"bids" : [ {
"price" : "100",
"quantity" : "4"
} ],
"eventType" : "spot@public.aggre.depth.v3.api.pb@100ms",
"fromVersion" : "10023",
"toVersion" : "10023",
"lastOrderCreateTime" : "1778075380572"
}
}
Sample data
{
"channel" : "spot@public.increase.depth.batch.v3.api.pb@BTCUSDT",
"symbol" : "BTCUSDT",
"sendTime" : "1739502064578",
"publicIncreaseDepthsBatch" : {
"items" : [ {
"asks" : [ ],
"bids" : [ {
"price" : "96578.48",
"quantity" : "0.00000000"
} ],
"eventType" : "",
"version" : "39003145507"
}, {
"asks" : [ ],
"bids" : [ {
"price" : "96578.90",
"quantity" : "0.00000000"
} ],
"eventType" : "",
"version" : "39003145508"
}, {
"asks" : [ ],
"bids" : [ {
"price" : "96579.31",
"quantity" : "0.00000000"
} ],
"eventType" : "",
"version" : "39003145509"
}, {
"asks" : [ ],
"bids" : [ {
"price" : "96579.84",
"quantity" : "0.00000000"
} ],
"eventType" : "",
"version" : "39003145510"
}, {
"asks" : [ ],
"bids" : [ {
"price" : "96576.69",
"quantity" : "4.88725694"
} ],
"eventType" : "",
"version" : "39003145511"
} ],
"eventType" : "spot@public.increase.depth.batch.v3.api.pb"
}
}